#ifndef _FRAME_H_
#define _FRAME_H_

#include <schwarzmeier/wx.h>
#include <wx/treectrl.h>

class CFrame: public wxTreeItemData
{
public:
	CFrame(JakubSchwarzmeier::wx::CObserver * observer);
	~CFrame(void);
	
	JakubSchwarzmeier::Std::Graphics::RotationMatrix * GetCamera();

protected:

	JakubSchwarzmeier::Std::Graphics::RotationMatrix m_camera;
};

#endif // _FRAME_H_