#include "StdAfx.h"
#include "mdiclientwindow.h"


IMPLEMENT_CLASS( CMDIClientWindow, wxMDIClientWindow )

BEGIN_EVENT_TABLE( CMDIClientWindow, wxMDIClientWindow )

   EVT_SIZE(CMDIClientWindow::OnSize)

END_EVENT_TABLE()

CMDIClientWindow::CMDIClientWindow(void)
{
	m_workPlace = NULL;
}

CMDIClientWindow::~CMDIClientWindow(void)
{
}

void CMDIClientWindow::OnSize(wxSizeEvent& event)
{
	if (m_workPlace == NULL)
	{
		m_workPlace = new CWorkPlace( this );
	}
	else
	{
		m_workPlace->OnSize( event );
	}


    event.Skip();
}

CWorkPlace * CMDIClientWindow::GetWorkplace()
{
	return m_workPlace;
}
