#pragma once

#include <schwarzmeier/wx.h>
#include "Camera.h"

class CRectangularObserver :
	public JakubSchwarzmeier::wx::CObserver
{
public:

	CRectangularObserver() {}
	virtual ~CRectangularObserver() {}

    virtual bool Create( wxWindow* parent, JakubSchwarzmeier::wx::COpenGLCanvas * pglCanvas, wxWindowID id = SYMBOL_COBSERVER_IDNAME + 1);

	virtual void OnCreateCamera();

	virtual void CreateControls();

	wxChoice * m_centralBodyCtrl;

	void SetCamera( CCamera * camera );

    void OnSetClick( wxCommandEvent& event );

	void OnInitialClick( wxCommandEvent& event );

    DECLARE_DYNAMIC_CLASS( CRectangularObserver )
    DECLARE_EVENT_TABLE()
};
