/////////////////////////////////////////////////////////////////////////////
// Name:        digalexapp.h
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     02/11/06 09:02:15
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#ifndef _DIGALEXAPP_H_
#define _DIGALEXAPP_H_

#if defined(__GNUG__) && !defined(__APPLE__)
#pragma interface "digalexapp.cpp"
#endif

/*!
 * Includes
 */

////@begin includes
#include "wx/image.h"
////@end includes

#include "mainframe.h"
#include "digalexdoc.h"

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
////@end control identifiers

/*!
 * CDigalexApp class declaration
 */

class CDigalexApp: public JakubSchwarzmeier::wx::CApp
{    
    DECLARE_CLASS( CDigalexApp )
    DECLARE_EVENT_TABLE()

public:
    /// Constructor
    CDigalexApp();

    /// Initialises the application
    virtual bool OnInit();

    /// Called on exit
    virtual int OnExit();

////@begin CDigalexApp event handler declarations
////@end CDigalexApp event handler declarations

////@begin CDigalexApp member function declarations
////@end CDigalexApp member function declarations

////@begin CDigalexApp member variables
////@end CDigalexApp member variables

    CMainFrame * GetMainFrame();
	CDigalexDoc * GetDocument();

};

/*!
 * Application instance declaration 
 */

////@begin declare app
DECLARE_APP(CDigalexApp)
////@end declare app

#endif
    // _DIGALEXAPP_H_
