/*************************************************************************************
 *
 *  kuzminmodel.h:  relizes Kuzmin's model
 *
 *  Copyright (c) 2007 Jakub Schwarzmeier
 *  University of West Bohemia, Department of General Physics
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or (at
 *  your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 ************************************************************************/

#ifndef _ICSLIB_KUZMINMODEL_H
#define _ICSLIB_KUZMINMODEL_H

#include "flattenedmodel.h"

class CKuzminModel: public CFlattenedModel
{
public:

	CKuzminModel();

protected:

	virtual double sigma( double r );
};

#endif //  _ICSLIB_KUZMINMODEL_H
