# Plots of functions of different models to the same graph.

set size 0.7, 0.75

# potential
set xlabel "r"
set ylabel "phi"
plot [0.0:10] "e:\\isothermal-phi(r).txt" with lines title "Isothermal sphere", "e:\\plummer-phi(r).txt" with lines title "Plummer's model", "e:\\jaffe-phi(r).txt" with lines title "Jaffe's model", "e:\\hernquist-phi(r).txt" with lines title "Hernquist's model"

# rho( phi )
set xlabel "phi"
set ylabel "rho"
plot [-0.9:0.0] "e:\\isothermal-rho(phi).txt" with lines title "Isothermal sphere", "e:\\plummer-rho(phi).txt" with lines title "Plummer's model", "e:\\jaffe-rho(phi).txt" with lines title "Jaffe's model", "e:\\hernquist-rho(phi).txt" with lines title "Hernquist's model"


# f( phi )
set xlabel "phi"
set ylabel "f"
plot [-0.7:0] "e:\\isothermal-f(phi).txt" with lines title "Isothermal sphere", "e:\\plummer-f(phi).txt" with lines title "Plummer's model", "e:\\jaffe-f(phi).txt" with lines title "Jaffe's model", "e:\\hernquist-f(phi).txt" with lines title "Hernquist's model"

