// ChildFrm.h : interface of the CChildFrame class
//

#ifndef __CHILDFRM_H__
#define __CHILDFRM_H__

#include <schwarzmeier/wx.h>

class CChildFrame: public JakubSchwarzmeier::wx::CDocChildFrame
{
public:

	CChildFrame() {}
	CChildFrame(wxDocument *doc, wxView *view, wxMDIParentFrame *frame);
	void Create(wxDocument *doc, wxView *view, wxMDIParentFrame *frame, bool bDeserialize);
	void LockSize(int w, int h);
	void UnlockSize();

protected:

	int m_width, m_height;

	//  message handlers
	void OnSize(wxSizeEvent& event);

	DECLARE_EVENT_TABLE()
	DECLARE_DYNAMIC_CLASS(CChildFrame)
};

#endif	//  __CHILDFRM_H__