#ifndef __VISUALIZATION_H__
#define __VISUALIZATION_H__

#include "animation.h"
#include "GalaxyObserver.h"
#include "ThreeDCanvas.h"

class CVisualization
{
public:
	CVisualization(void);
	~CVisualization(void);

	CAnimation * GetAnimation();
	CGalaxyObserver * GetObserver();

	virtual void Serialize(xmlDoc * pXmlDoc, xmlNode * branch);
	virtual void Deserialize(xmlDoc * pXmlDoc, xmlNode * pXmlNode);

	CThreedCanvas * GetThreedCanvas();

protected:

	CAnimation * m_pAnimation;

	CGalaxyObserver * m_pObserver;

	CThreedCanvas * m_pOpenGlCanvas;

	static std::string s_strVisualization;
};

#endif //  __VISUALIZATION_H__
