/////////////////////////////////////////////////////////////////////////////
// Name:        
// Purpose:     
// Author:      Jakub Schwarzmeier
// Modified by: 
// Created:     02/02/2007 12:03:13
// RCS-ID:      
// Copyright:   
// Licence:     
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#if defined(__GNUG__) && !defined(NO_GCC_PRAGMA)
#pragma implementation ""
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
#include "wx/wx.h"
#endif

////@begin includes
////@end includes

#include "app_resources.h"

////@begin XPM images
////@end XPM images

/*!
 * Resource functions
 */

AppResources::AppResources()
{
    wxXmlResource::Get()->Load(wxT("xrc/menus.xrc"));
}

////@begin AppResources resource functions
/*!
 * Menubar creation function for ID_FULLBAR
 */

wxMenuBar* AppResources::CreateFullMenubar()
{
    return wxXmlResource::Get()->LoadMenuBar(_T("ID_FULLBAR"));
}

/*!
 * Menubar creation function for ID_PARTIALBAR
 */

wxMenuBar* AppResources::CreatePartialMenubar()
{
    return wxXmlResource::Get()->LoadMenuBar(_T("ID_PARTIALBAR"));
}

////@end AppResources resource functions

/*!
 * Get bitmap resources
 */

wxBitmap AppResources::GetBitmapResource( const wxString& name )
{
    // Bitmap retrieval
////@begin AppResources bitmap retrieval
    wxUnusedVar(name);
    return wxNullBitmap;
////@end AppResources bitmap retrieval
}

/*!
 * Get icon resources
 */

wxIcon AppResources::GetIconResource( const wxString& name )
{
    wxUnusedVar(name);
    // Icon retrieval
////@begin AppResources icon retrieval
    wxUnusedVar(name);
    return wxNullIcon;
////@end AppResources icon retrieval
}
