# Mass densities for various models

set xlabel "log (r)"
set ylabel "log (rho)"

set logscale xy
plot [0.05:10] [0.05:105] x**(-2.0) title "Isothermal sphere", (1+x**2.0)**(-5.0/2.0) title "Plummer's model", 1.0/((x**2)*((1+x)**(2))) title "Jaffe's model", 1/(x*((1+x)**(3))) title "Hernquist's model"


set xlabel "r"
set ylabel "rho"

unset logscale xy
plot [0:1] [0:100] x**(-2.0) title "Isothermal sphere", (1+x**2.0)**(-5.0/2.0) title "Plummer's model", 1.0/((x**2)*((1+x)**(2))) title "Jaffe's model", 1/(x*((1+x)**(3))) title "Hernquist's model"